## libmatthew-java 0.5

=== Makefile ===
JAVAC?=javac
JAVADOC?=javadoc
JAR?=jar
JAVAH?=javah
GCJ?=gcj
CC?=gcc
LD?=ld
PPFLAGS?=-C -P
CFLAGS?=-fpic -Wall -Os -pedantic -std=c99
LDFLAGS?=-fpic -shared -lc 
GCJFLAGS?=-fjni
JCFLAGS?=
INCLUDES?=-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
JAVADOCFLAGS?=-quiet -author -link http://java.sun.com/j2se/1.4.2/docs/api/

PREFIX?=/usr/local
JARDIR?=$(PREFIX)/share/java
DOCDIR?=$(PREFIX)/share/doc/libmatthew-java/
LIBDIR?=$(PREFIX)/lib/jni

MATTVER=0.5
DEBUGVER=1.1
UNIXVER=0.2
CGIVER=0.5
IOVER=0.1
HEXVER=0.1

SRC=$(shell find cx -name '*.java' -and -not -name 'Debug.java')

.NOPARALLEL:

all: unix-$(UNIXVER).jar cgi-$(CGIVER).jar debug-enable-$(DEBUGVER).jar debug-disable-$(DEBUGVER).jar io-$(IOVER).jar hexdump-$(HEXVER).jar libcgi-java.so libunix-java.so

classes: .classes 
.classes: $(SRC)
	mkdir -p classes
	$(JAVAC) $(JCFLAGS) -d classes -cp classes $^
	touch .classes
clean:
	rm -rf classes doc
	rm -f .classes .enabledebug .disabledebug *.o *.h *.so *.tar.gz *.jar *.cgi Manifest
	rm -rf libmatthew-java-$(MATTVER)

cgi-$(CGIVER).jar: .classes
	(cd classes; $(JAR) cf ../$@ cx/ath/matthew/cgi/*class)
io-$(IOVER).jar: .classes
	(cd classes; $(JAR) cf ../$@ cx/ath/matthew/io/*class)
unix-$(UNIXVER).jar: .classes
	echo "Class-Path: $(JARDIR)/debug-$(DEBUG).jar" > Manifest
	(cd classes; $(JAR) cfm ../$@ ../Manifest cx/ath/matthew/unix/*class)
hexdump-$(HEXVER).jar: .classes
	(cd classes; $(JAR) cf ../$@ cx/ath/matthew/utils/Hexdump.class)

%.o: %.c %.h
	$(CC) $(CFLAGS) $(INCLUDES) -c -o $@ $<
lib%.so: %.o
	$(LD) $(LDFLAGS) -o $@ $<
unix-java.h: .classes
	$(JAVAH) -classpath classes -o $@ cx.ath.matthew.unix.UnixServerSocket cx.ath.matthew.unix.UnixSocket cx.ath.matthew.unix.USInputStream cx.ath.matthew.unix.USOutputStream
cgi-java.h: .classes
	$(JAVAH) -classpath classes -o $@ cx.ath.matthew.cgi.CGI

test.cgi: cgi-$(CGIVER).jar libcgi-java.so
	$(GCJ) $(GCJFLAGS) -L. -lcgi-java -o test.cgi --main=cx.ath.matthew.cgi.testcgi cgi-$(CGIVER).jar
	
libmatthew-java-$(MATTVER).tar.gz: Makefile cx cgi-java.c unix-java.c README INSTALL COPYING changelog
	mkdir -p libmatthew-java-$(MATTVER)
	cp -a $^ libmatthew-java-$(MATTVER)
	tar zcf $@ libmatthew-java-$(MATTVER)

debug-enable-$(DEBUGVER).jar: cx/ath/matthew/debug/Debug.jpp
	make .enabledebug
	echo "Class-Path: $(JARDIR)/hexdump.jar" > Manifest
	(cd classes;jar cfm ../$@ ../Manifest cx/ath/matthew/debug/*.class)
debug-disable-$(DEBUGVER).jar: cx/ath/matthew/debug/Debug.jpp
	make .disabledebug
	echo "Class-Path: $(JARDIR)/hexdump.jar" > Manifest
	(cd classes;jar cfm ../$@ ../Manifest cx/ath/matthew/debug/*.class)
.enabledebug: cx/ath/matthew/debug/Debug.jpp .classes
	cpp $(PPFLAGS) -DDEBUGSETTING=true < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java
	rm -f .disabledebug
	touch .enabledebug
.disabledebug: cx/ath/matthew/debug/Debug.jpp .classes
	cpp $(PPFLAGS) -DDEBUGSETTING=false < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java
	rm -f .enabledebug
	touch .disabledebug
cx/ath/matthew/debug/Debug.java: .disabledebug
doc/index.html: 
	$(JAVADOC) $(JAVADOCFLAGS) -d doc/ cx/ath/matthew/debug/Debug.java $(SRC)

doc: doc/index.html

install-doc: doc/index.html
	install -d $(DESTDIR)$(DOCDIR)
	cp -a doc $(DESTDIR)$(DOCDIR)/api

install: libcgi-java.so libunix-java.so unix-$(UNIXVER).jar cgi-$(CGIVER).jar debug-enable-$(DEBUGVER).jar debug-disable-$(DEBUGVER).jar io-$(IOVER).jar hexdump-$(HEXVER).jar
	install -d $(DESTDIR)$(JARDIR)
	install -m 644 debug-enable-$(DEBUGVER).jar $(DESTDIR)$(JARDIR)
	install -m 644 debug-disable-$(DEBUGVER).jar $(DESTDIR)$(JARDIR)
	install -m 644 unix-$(UNIXVER).jar $(DESTDIR)$(JARDIR)
	install -m 644 cgi-$(CGIVER).jar $(DESTDIR)$(JARDIR)
	install -m 644 io-$(IOVER).jar $(DESTDIR)$(JARDIR)
	install -m 644 hexdump-$(HEXVER).jar $(DESTDIR)$(JARDIR)
	ln -sf debug-disable-$(DEBUGVER).jar $(DESTDIR)$(JARDIR)/debug-disable.jar
	ln -sf debug-enable-$(DEBUGVER).jar $(DESTDIR)$(JARDIR)/debug-enable.jar
	ln -sf unix-$(UNIXVER).jar $(DESTDIR)$(JARDIR)/unix.jar
	ln -sf io-$(IOVER).jar $(DESTDIR)$(JARDIR)/io.jar
	ln -sf cgi-$(CGIVER).jar $(DESTDIR)$(JARDIR)/cgi.jar
	ln -sf hexdump-$(HEXVER).jar $(DESTDIR)$(JARDIR)/hexdump.jar
	install -d $(DESTDIR)$(LIBDIR) 
	install libcgi-java.so $(DESTDIR)$(LIBDIR)
	install libunix-java.so $(DESTDIR)$(LIBDIR)

## libmatthew-java 0.7.1

=== Makefile ===
--- 
+++ 
@@ -5,35 +5,46 @@
 GCJ?=gcj
 CC?=gcc
 LD?=ld
-PPFLAGS?=-C -P
-CFLAGS?=-fpic -Wall -Os -pedantic -std=c99
-LDFLAGS?=-fpic -shared -lc 
-GCJFLAGS?=-fjni
-JCFLAGS?=
-INCLUDES?=-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
+PPFLAGS+=-C -P
+CFLAGS+=-fpic -Wall -Os -pedantic -std=c99 -Werror
+GCJFLAGS+=-fjni
+JCFLAGS+=-source 5.0
+INCLUDES+=-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
 JAVADOCFLAGS?=-quiet -author -link http://java.sun.com/j2se/1.4.2/docs/api/
+
+LDVER?=$(shell ld -v | cut -d' ' -f1)
+UNAME?=$(shell uname -s)
+
+ifeq ($(LDVER),GNU)
+LDFLAGS+=-fpic -shared -lc 
+else
+LDFLAGS+=-lc
+endif
 
 PREFIX?=/usr/local
 JARDIR?=$(PREFIX)/share/java
 DOCDIR?=$(PREFIX)/share/doc/libmatthew-java/
 LIBDIR?=$(PREFIX)/lib/jni
 
-MATTVER=0.5
+MATTVER=0.7.1
 DEBUGVER=1.1
-UNIXVER=0.2
+UNIXVER=0.5
 CGIVER=0.5
 IOVER=0.1
-HEXVER=0.1
+HEXVER=0.2
 
 SRC=$(shell find cx -name '*.java' -and -not -name 'Debug.java')
+
+DEBUG?=disable
 
 .NOPARALLEL:
 
 all: unix-$(UNIXVER).jar cgi-$(CGIVER).jar debug-enable-$(DEBUGVER).jar debug-disable-$(DEBUGVER).jar io-$(IOVER).jar hexdump-$(HEXVER).jar libcgi-java.so libunix-java.so
 
 classes: .classes 
-.classes: $(SRC)
+.classes: $(SRC) 
 	mkdir -p classes
+	$(MAKE) .$(DEBUG)debug
 	$(JAVAC) $(JCFLAGS) -d classes -cp classes $^
 	touch .classes
 clean:
@@ -46,8 +57,13 @@
 io-$(IOVER).jar: .classes
 	(cd classes; $(JAR) cf ../$@ cx/ath/matthew/io/*class)
 unix-$(UNIXVER).jar: .classes
+ifeq ($(DEBUG),enable)
 	echo "Class-Path: $(JARDIR)/debug-$(DEBUG).jar" > Manifest
+else
+	echo "Class-Path: " > Manifest
+endif
 	(cd classes; $(JAR) cfm ../$@ ../Manifest cx/ath/matthew/unix/*class)
+
 hexdump-$(HEXVER).jar: .classes
 	(cd classes; $(JAR) cf ../$@ cx/ath/matthew/utils/Hexdump.class)
 
@@ -76,14 +92,16 @@
 	make .disabledebug
 	echo "Class-Path: $(JARDIR)/hexdump.jar" > Manifest
 	(cd classes;jar cfm ../$@ ../Manifest cx/ath/matthew/debug/*.class)
-.enabledebug: cx/ath/matthew/debug/Debug.jpp .classes
+.enabledebug: cx/ath/matthew/debug/Debug.jpp 
+	mkdir -p classes
 	cpp $(PPFLAGS) -DDEBUGSETTING=true < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
-	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java
+	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java cx/ath/matthew/utils/Hexdump.java
 	rm -f .disabledebug
 	touch .enabledebug
-.disabledebug: cx/ath/matthew/debug/Debug.jpp .classes
+.disabledebug: cx/ath/matthew/debug/Debug.jpp 
+	mkdir -p classes
 	cpp $(PPFLAGS) -DDEBUGSETTING=false < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
-	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java
+	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java cx/ath/matthew/utils/Hexdump.java
 	rm -f .enabledebug
 	touch .disabledebug
 cx/ath/matthew/debug/Debug.java: .disabledebug
@@ -96,7 +114,12 @@
 	install -d $(DESTDIR)$(DOCDIR)
 	cp -a doc $(DESTDIR)$(DOCDIR)/api
 
-install: libcgi-java.so libunix-java.so unix-$(UNIXVER).jar cgi-$(CGIVER).jar debug-enable-$(DEBUGVER).jar debug-disable-$(DEBUGVER).jar io-$(IOVER).jar hexdump-$(HEXVER).jar
+install-native: libcgi-java.so libunix-java.so 
+	install -d $(DESTDIR)$(LIBDIR) 
+	install libcgi-java.so $(DESTDIR)$(LIBDIR)
+	install libunix-java.so $(DESTDIR)$(LIBDIR)
+
+install-jar: unix-$(UNIXVER).jar cgi-$(CGIVER).jar debug-enable-$(DEBUGVER).jar debug-disable-$(DEBUGVER).jar io-$(IOVER).jar hexdump-$(HEXVER).jar
 	install -d $(DESTDIR)$(JARDIR)
 	install -m 644 debug-enable-$(DEBUGVER).jar $(DESTDIR)$(JARDIR)
 	install -m 644 debug-disable-$(DEBUGVER).jar $(DESTDIR)$(JARDIR)
@@ -110,7 +133,5 @@
 	ln -sf io-$(IOVER).jar $(DESTDIR)$(JARDIR)/io.jar
 	ln -sf cgi-$(CGIVER).jar $(DESTDIR)$(JARDIR)/cgi.jar
 	ln -sf hexdump-$(HEXVER).jar $(DESTDIR)$(JARDIR)/hexdump.jar
-	install -d $(DESTDIR)$(LIBDIR) 
-	install libcgi-java.so $(DESTDIR)$(LIBDIR)
-	install libunix-java.so $(DESTDIR)$(LIBDIR)
 
+install: install-native install-jar

## libmatthew-java 0.7.2

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,14 @@
 JAVAH?=javah
 GCJ?=gcj
 CC?=gcc
-LD?=ld
-PPFLAGS+=-C -P
-CFLAGS+=-fpic -Wall -Os -pedantic -std=c99 -Werror
-GCJFLAGS+=-fjni
-JCFLAGS+=-source 5.0
+LD?=gcc
+JPPFLAGS+=-C -P
+CFLAGS+=-Wall -Os -pedantic -Werror
+CSTD?=-std=c99
+CSHAREFLAG+=-fpic -fno-stack-protector
+GCJJNIFLAG=-fjni
+JVERCFLAGS+=-source 1.5
+JCFLAGS+=
 INCLUDES+=-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
 JAVADOCFLAGS?=-quiet -author -link http://java.sun.com/j2se/1.4.2/docs/api/
 
@@ -16,9 +19,9 @@
 UNAME?=$(shell uname -s)
 
 ifeq ($(LDVER),GNU)
-LDFLAGS+=-fpic -shared -lc 
+LDSHAREFLAGS+=-fpic -shared
 else
-LDFLAGS+=-lc
+LDSHAREFLAGS+=-lc
 endif
 
 PREFIX?=/usr/local
@@ -26,7 +29,7 @@
 DOCDIR?=$(PREFIX)/share/doc/libmatthew-java/
 LIBDIR?=$(PREFIX)/lib/jni
 
-MATTVER=0.7.1
+MATTVER=0.7.2
 DEBUGVER=1.1
 UNIXVER=0.5
 CGIVER=0.5
@@ -38,6 +41,8 @@
 DEBUG?=disable
 
 .NOPARALLEL:
+.NO_PARALLEL:
+.NOTPARALLEL:
 
 all: unix-$(UNIXVER).jar cgi-$(CGIVER).jar debug-enable-$(DEBUGVER).jar debug-disable-$(DEBUGVER).jar io-$(IOVER).jar hexdump-$(HEXVER).jar libcgi-java.so libunix-java.so
 
@@ -45,7 +50,7 @@
 .classes: $(SRC) 
 	mkdir -p classes
 	$(MAKE) .$(DEBUG)debug
-	$(JAVAC) $(JCFLAGS) -d classes -cp classes $^
+	$(JAVAC) $(JVERCFLAGS) $(JCFLAGS) -d classes -cp classes $^
 	touch .classes
 clean:
 	rm -rf classes doc
@@ -68,16 +73,16 @@
 	(cd classes; $(JAR) cf ../$@ cx/ath/matthew/utils/Hexdump.class)
 
 %.o: %.c %.h
-	$(CC) $(CFLAGS) $(INCLUDES) -c -o $@ $<
+	$(CC) $(CFLAGS) $(CSTD) $(CSHAREFLAG) $(INCLUDES) -c -o $@ $<
 lib%.so: %.o
-	$(LD) $(LDFLAGS) -o $@ $<
+	$(CC) $(LDFLAGS) $(LDSHAREFLAGS) -o $@ $<
 unix-java.h: .classes
 	$(JAVAH) -classpath classes -o $@ cx.ath.matthew.unix.UnixServerSocket cx.ath.matthew.unix.UnixSocket cx.ath.matthew.unix.USInputStream cx.ath.matthew.unix.USOutputStream
 cgi-java.h: .classes
 	$(JAVAH) -classpath classes -o $@ cx.ath.matthew.cgi.CGI
 
 test.cgi: cgi-$(CGIVER).jar libcgi-java.so
-	$(GCJ) $(GCJFLAGS) -L. -lcgi-java -o test.cgi --main=cx.ath.matthew.cgi.testcgi cgi-$(CGIVER).jar
+	$(GCJ) $(GCJFLAGS) $(GCJJNIFLAG) -L. -lcgi-java -o test.cgi --main=cx.ath.matthew.cgi.testcgi cgi-$(CGIVER).jar
 	
 libmatthew-java-$(MATTVER).tar.gz: Makefile cx cgi-java.c unix-java.c README INSTALL COPYING changelog
 	mkdir -p libmatthew-java-$(MATTVER)
@@ -94,14 +99,14 @@
 	(cd classes;jar cfm ../$@ ../Manifest cx/ath/matthew/debug/*.class)
 .enabledebug: cx/ath/matthew/debug/Debug.jpp 
 	mkdir -p classes
-	cpp $(PPFLAGS) -DDEBUGSETTING=true < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
-	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java cx/ath/matthew/utils/Hexdump.java
+	cpp $(PPFLAGS) $(JPPFLAGS) -DDEBUGSETTING=true < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
+	$(JAVAC) $(JVERCFLAGS) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java cx/ath/matthew/utils/Hexdump.java
 	rm -f .disabledebug
 	touch .enabledebug
 .disabledebug: cx/ath/matthew/debug/Debug.jpp 
 	mkdir -p classes
-	cpp $(PPFLAGS) -DDEBUGSETTING=false < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
-	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java cx/ath/matthew/utils/Hexdump.java
+	cpp $(PPFLAGS) $(JPPFLAGS) -DDEBUGSETTING=false < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
+	$(JAVAC) $(JVERCFLAGS) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java cx/ath/matthew/utils/Hexdump.java
 	rm -f .enabledebug
 	touch .disabledebug
 cx/ath/matthew/debug/Debug.java: .disabledebug

## libmatthew-java 0.7.3

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 DOCDIR?=$(PREFIX)/share/doc/libmatthew-java/
 LIBDIR?=$(PREFIX)/lib/jni
 
-MATTVER=0.7.2
+MATTVER=0.7.3
 DEBUGVER=1.1
 UNIXVER=0.5
 CGIVER=0.5

=== debian/changelog ===
libmatthew-java (0.7.3-2) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (Bug #762540), set Maintainer to "Debian QA Group".
  * Switch to "3.0 (quilt)" source format.
  * Apply patch from Michael Haggerty to use relative paths
    in manifest file. Closes: #619890.
  * Raise debhelper compat level to 9.
  * Simplify debian/rules and put default-jdk-doc in Build-Depends.
  * Remove cx/ath/matthew/debug/Debug.java in clean target, since it's
    recreated during the build.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Aug 2016 11:22:46 +0100

libmatthew-java (0.7.3-1) unstable; urgency=low

  * New upstream release, fixes a memory leak (Closes: #590331)

 -- Matthew Johnson <mjj29@debian.org>  Thu, 05 Aug 2010 18:36:12 +0100

libmatthew-java (0.7.2-3) unstable; urgency=low

  * Use default-jdk-doc instead of classpath-doc (Closes: #567283)
  * Fix some lintian warnings 
  * Don't build doc when only building arch: any packages (Closes: #561414) 

 -- Matthew Johnson <mjj29@debian.org>  Sat, 17 Apr 2010 17:24:37 +0100

libmatthew-java (0.7.2-2) unstable; urgency=low

  * Convert to dh 7
  * don't use default-jdk-builddep but default-jdk

 -- Matthew Johnson <mjj29@debian.org>  Sat, 12 Dec 2009 10:59:00 +0000

libmatthew-java (0.7.2-1) unstable; urgency=low

  * New Upstream Release
  * Bump Standards-Version
  * Bump debhelper compat
  * Change to section java

 -- Matthew Johnson <mjj29@debian.org>  Sun, 05 Apr 2009 11:11:45 +0100

libmatthew-java (0.7.1-1) unstable; urgency=low

  * New Upstream Release (Closes: #476019)
  * Change to use default-jdk-builddep (Closes: #477878)

 -- Matthew Johnson <mjj29@debian.org>  Sat, 26 Apr 2008 13:27:43 +0100

libmatthew-java (0.6-1) unstable; urgency=low

  * New Upstream Release
  * Use javahelper 
  * Bump Standards-Version

 -- Matthew Johnson <mjj29@debian.org>  Thu, 10 Jan 2008 13:55:43 +0000

libmatthew-java (0.5-2) unstable; urgency=low

  * Add watch file from watchwiz 

 -- Matthew Johnson <mjj29@debian.org>  Tue, 25 Dec 2007 11:19:29 +0000

libmatthew-java (0.5-1) unstable; urgency=low

  * Accompanying upstream change to avoid javadoc talking to the web
    (Closes: #447351)
  * Change maintainer address 

 -- Matthew Johnson <mjj29@debian.org>  Wed, 05 Dec 2007 10:22:47 +0000

libmatthew-java (0.4-2) unstable; urgency=low

  * fix javadoc variables to make not to need networking 

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed, 19 Sep 2007 16:41:31 +0100

libmatthew-java (0.4-1) unstable; urgency=low

  * New Upstream Version
  * Add JAVADOC to rules; forces creating javadoc with gjdoc.
  * Add docs package 
  * Register documentation with doc-base
  * Initial upload to Debian: Closes: #413405
  * Update to new Java policy
  * put docs in section doc and libs in section libs 

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed, 30 May 2007 00:24:43 +0100

libmatthew-java (0.3-1) unstable; urgency=low

  * New Upstream Version
  * Tidy up rules a bit
  * Remove overrides and full-stops

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed,  3 Jan 2007 21:56:49 +0000

libmatthew-java (0.1-1) unstable; urgency=low

  * Initial Release.
  * Build with fastjar and java-gcj-compat-dev

 -- Matthew Johnson <debian@matthew.ath.cx>  Tue, 19 Dec 2006 14:35:37 +0000

=== debian/control ===
Source: libmatthew-java
Section: java
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               docbook-to-man,
               default-jdk,
               default-jdk-doc,
               fastjar, 
               javahelper (>= 0.25)
Standards-Version: 3.8.4

Package: libunixsocket-java
Architecture: any
Depends: ${java:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: libmatthew-java-doc
Description: Unix socket API and bindings for Java
 These bindings allow you to connect to Unix Sockets from within Java
 programs.

Package: libmatthew-io-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Suggests: libmatthew-java-doc
Description: Extra IO library for Java
 This library provides classes to pipe a stream through an external program,
 print DOM trees and split an output stream so that it also goes to a file.

Package: libmatthew-debug-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Suggests: libmatthew-java-doc
Description: Debugging library for Java
 This package provides a debugging library for Java, including a generic 
 utility class for providing nicely formatted dumps of byte arrays
 (similar to the hexdump utility).

Package: libcgi-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Suggests: libmatthew-java-doc
Description: CGI library for Java
 This library allows CGI scripts to be written in Java.  The library provides
 access to all the standard CGI variables including POST/GET. It also makes it
 easy to create input forms in HTML documents.

Package: libmatthew-java-doc
Architecture: all
Depends: default-jdk-doc, ${misc:Depends}
Section: doc
Recommends: libcgi-java, 
            libmatthew-debug-java,
            libmatthew-io-java,
            libunixsocket-java
Description: API documentation for the libmatthew-java libraries
 The Javadoc API documentation for libcgi-java, libmatthew-debug-java,
 libmatthew-io-java and libunixsocket-java.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with javahelper

override_dh_auto_build:
	$(MAKE) JAVA_HOME=/usr/lib/jvm/default-java \
			  JAVAC=/usr/lib/jvm/default-java/bin/javac \
			  JAVAH=/usr/lib/jvm/default-java/bin/javah \
			  JAVADOC=/usr/lib/jvm/default-java/bin/javadoc \
			  JAVADOCFLAGS="-quiet -author -link /usr/share/doc/default-jdk-doc/api/" \
			  JAR=/usr/bin/fastjar \
			  PREFIX=/usr \
			  all doc

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	rm -f cx/ath/matthew/debug/Debug.java

override_dh_auto_install: 
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr install install-doc

override_jh_installjavadoc:
	jh_installjavadoc --author="Matthew Johnson"

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://www.matthew.ath.cx/projects/java (?:.*/)?libmatthew-java-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate

## libmatthew-java 0.8

=== Makefile ===
--- 
+++ 
@@ -29,10 +29,10 @@
 DOCDIR?=$(PREFIX)/share/doc/libmatthew-java/
 LIBDIR?=$(PREFIX)/lib/jni
 
-MATTVER=0.7.3
+MATTVER=0.8
 DEBUGVER=1.1
 UNIXVER=0.5
-CGIVER=0.5
+CGIVER=0.6
 IOVER=0.1
 HEXVER=0.2

=== debian/changelog ===
libmatthew-java (0.8-2) unstable; urgency=medium

  * debian/rules: Override JVERCFLAGS and use a supported source version. This
    will fix the FTBFS with Java 9. (Closes: #873989)
    Thanks to Markus Koschany for the patch!
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: use dh11

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 29 Dec 2017 14:42:46 +0100

libmatthew-java (0.8-1) unstable; urgency=medium

  * new upstream version
  * fix broken debian/watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 01 Nov 2016 21:42:46 +0100

libmatthew-java (0.7.3-3) unstable; urgency=medium

  * new maintainer (Closes: #762540)
  * debian/control: bump standard to 3.9.8 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 15 Oct 2016 16:42:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,42 @@
 Source: libmatthew-java
 Section: java
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: debhelper (>= 11),
                docbook-to-man,
                default-jdk,
                default-jdk-doc,
                fastjar, 
                javahelper (>= 0.25)
-Standards-Version: 3.8.4
+Standards-Version: 4.1.3
+Homepage: http://www.matthew.ath.cx/projects/java/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/libmatthew-java.git
+Vcs-Git: https://anonscm.debian.org/git/debian-iot/libmatthew-java.git
 
 Package: libunixsocket-java
 Architecture: any
 Depends: ${java:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: libmatthew-java-doc
 Description: Unix socket API and bindings for Java
- These bindings allow you to connect to Unix Sockets from within Java
- programs.
+ This library is a collection of classes and native code to 
+ allow you to read and write Unix sockets from within Java. 
 
 Package: libmatthew-io-java
 Architecture: all
 Depends: ${misc:Depends}, ${java:Depends}
 Suggests: libmatthew-java-doc
 Description: Extra IO library for Java
- This library provides classes to pipe a stream through an external program,
- print DOM trees and split an output stream so that it also goes to a file.
+ This library provides extensions to the Java I/O subsystem. Firstly, there is 
+ a class which will connect any InputStream with an OutputStream and copies data 
+ between them. 
+ .
+ Secondly there are two classes for inserting into an Input or OutputStream pipe 
+ a command line command, so that everything is piped through that command. 
+ .
+ Thirdly there are a pair of classes for splitting streams in two. This can 
+ either be to two OuputStreams, or to an OutputStream and a file. 
+ Equivelent to the UNIX tool tee in UNIX pipes. 
 
 Package: libmatthew-debug-java
 Architecture: all
@@ -53,6 +65,7 @@
             libmatthew-io-java,
             libunixsocket-java
 Description: API documentation for the libmatthew-java libraries
- The Javadoc API documentation for libcgi-java, libmatthew-debug-java,
+ This package contains the Javadoc API documentation for the
+ other packages: libcgi-java, libmatthew-debug-java, 
  libmatthew-io-java and libunixsocket-java.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 			  JAVAH=/usr/lib/jvm/default-java/bin/javah \
 			  JAVADOC=/usr/lib/jvm/default-java/bin/javadoc \
 			  JAVADOCFLAGS="-quiet -author -link /usr/share/doc/default-jdk-doc/api/" \
+                          JVERCFLAGS="-source 1.7" \
 			  JAR=/usr/bin/fastjar \
 			  PREFIX=/usr \
 			  all doc
@@ -17,7 +18,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f cx/ath/matthew/debug/Debug.java
+	#rm -f cx/ath/matthew/debug/Debug.java
 
 override_dh_auto_install: 
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr install install-doc

## libmatthew-java 0.8.1

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 DOCDIR?=$(PREFIX)/share/doc/libmatthew-java/
 LIBDIR?=$(PREFIX)/lib/jni
 
-MATTVER=0.8
+MATTVER=0.8.1
 DEBUGVER=1.1
 UNIXVER=0.5
 CGIVER=0.6
@@ -45,6 +45,8 @@
 .NOTPARALLEL:
 
 all: unix-$(UNIXVER).jar cgi-$(CGIVER).jar debug-enable-$(DEBUGVER).jar debug-disable-$(DEBUGVER).jar io-$(IOVER).jar hexdump-$(HEXVER).jar libcgi-java.so libunix-java.so
+
+dist: libmatthew-java-$(MATTVER).tar.gz
 
 classes: .classes 
 .classes: $(SRC) 
@@ -76,15 +78,14 @@
 	$(CC) $(CFLAGS) $(CSTD) $(CSHAREFLAG) $(INCLUDES) -c -o $@ $<
 lib%.so: %.o
 	$(CC) $(LDFLAGS) $(LDSHAREFLAGS) -o $@ $<
-unix-java.h: .classes
+headers: .classes
 	$(JAVAH) -classpath classes -o $@ cx.ath.matthew.unix.UnixServerSocket cx.ath.matthew.unix.UnixSocket cx.ath.matthew.unix.USInputStream cx.ath.matthew.unix.USOutputStream
-cgi-java.h: .classes
 	$(JAVAH) -classpath classes -o $@ cx.ath.matthew.cgi.CGI
 
 test.cgi: cgi-$(CGIVER).jar libcgi-java.so
 	$(GCJ) $(GCJFLAGS) $(GCJJNIFLAG) -L. -lcgi-java -o test.cgi --main=cx.ath.matthew.cgi.testcgi cgi-$(CGIVER).jar
 	
-libmatthew-java-$(MATTVER).tar.gz: Makefile cx cgi-java.c unix-java.c README INSTALL COPYING changelog
+libmatthew-java-$(MATTVER).tar.gz: Makefile cx cgi-java.c unix-java.c README INSTALL COPYING changelog unix-java.h cgi-java.h
 	mkdir -p libmatthew-java-$(MATTVER)
 	cp -a $^ libmatthew-java-$(MATTVER)
 	tar zcf $@ libmatthew-java-$(MATTVER)

=== debian/changelog ===
libmatthew-java (0.8.1-4) unstable; urgency=medium

  * add salsa-ci.yml and gbp.conf
  * add debian/clean (Closes: #1045192)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 23 Nov 2024 09:42:46 +0100

libmatthew-java (0.8.1-3) unstable; urgency=medium

  [ Vladimir Petko ]
  * debian/rules: use java_compat_level variable provided by java-common to
                  adjust --release level to the minimum required by the
                  default Java (Closes: #1052581).
                  (Closes: #1069496)
  [ Thorsten Alteholz ]
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 21 Apr 2024 12:42:46 +0200

libmatthew-java (0.8.1-2) unstable; urgency=medium

  * add patch to fix javadoc error (FTBFS with OpenJDK 17)
    Closes: #981944
    Thanks to Markus Koschany for the patch!
  * debian/control: bump standard to 4.1.4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 14 Sep 2022 21:42:46 +0200

libmatthew-java (0.8.1-1) unstable; urgency=medium

  * new upstream version (Closes: #897541)
  * debian/control: add Salsa VCS URLs
  * debian/control: bump standard to 4.1.4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 07 May 2018 18:42:46 +0200

=== debian/control ===
Source: libmatthew-java
Section: java
Priority: optional
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 11),
               docbook-to-man,
               default-jdk,
               default-jdk-doc,
               fastjar,
               javahelper (>= 0.25)
Standards-Version: 4.7.0
Homepage: http://www.matthew.ath.cx/projects/java/
Vcs-Browser: https://salsa.debian.org/debian-iot-team/libmatthew-java
Vcs-Git: https://salsa.debian.org/debian-iot-team/libmatthew-java.git

Package: libunixsocket-java
Architecture: any
Depends: ${java:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: libmatthew-java-doc
Description: Unix socket API and bindings for Java
 This library is a collection of classes and native code to
 allow you to read and write Unix sockets from within Java.

Package: libmatthew-io-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Suggests: libmatthew-java-doc
Description: Extra IO library for Java
 This library provides extensions to the Java I/O subsystem. Firstly, there is
 a class which will connect any InputStream with an OutputStream and copies data
 between them.
 .
 Secondly there are two classes for inserting into an Input or OutputStream pipe
 a command line command, so that everything is piped through that command.
 .
 Thirdly there are a pair of classes for splitting streams in two. This can
 either be to two OuputStreams, or to an OutputStream and a file.
 Equivelent to the UNIX tool tee in UNIX pipes.

Package: libmatthew-debug-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Suggests: libmatthew-java-doc
Description: Debugging library for Java
 This package provides a debugging library for Java, including a generic
 utility class for providing nicely formatted dumps of byte arrays
 (similar to the hexdump utility).

Package: libcgi-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Suggests: libmatthew-java-doc
Description: CGI library for Java
 This library allows CGI scripts to be written in Java.  The library provides
 access to all the standard CGI variables including POST/GET. It also makes it
 easy to create input forms in HTML documents.

Package: libmatthew-java-doc
Architecture: all
Depends: default-jdk-doc, ${misc:Depends}
Section: doc
Recommends: libcgi-java,
            libmatthew-debug-java,
            libmatthew-io-java,
            libunixsocket-java
Description: API documentation for the libmatthew-java libraries
 This package contains the Javadoc API documentation for the
 other packages: libcgi-java, libmatthew-debug-java,
 libmatthew-io-java and libunixsocket-java.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+include /usr/share/java/java_defaults.mk
 
 %:
 	dh $@ --with javahelper
@@ -9,7 +10,7 @@
 			  JAVAH=/usr/lib/jvm/default-java/bin/javah \
 			  JAVADOC=/usr/lib/jvm/default-java/bin/javadoc \
 			  JAVADOCFLAGS="-quiet -author -link /usr/share/doc/default-jdk-doc/api/" \
-                          JVERCFLAGS="-source 1.7" \
+                          JVERCFLAGS="--release $(java_compat_level)" \
 			  JAR=/usr/bin/fastjar \
 			  PREFIX=/usr \
 			  all doc
@@ -20,7 +21,7 @@
 	dh_auto_clean
 	#rm -f cx/ath/matthew/debug/Debug.java
 
-override_dh_auto_install: 
+override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr install install-doc
 
 override_jh_installjavadoc:
